[SCM] Samba Shared Repository - branch master updated

Stefan Metzmacher metze at samba.org
Sat Jul 31 07:49:54 MDT 2010


The branch, master has been updated
       via  76e5d41... s4:blackbox/newuser: use test specific user names
       via  0b4247e... s4:selftest: skip samba4.blackbox.ktpass for now as it's not portable
       via  3469255... s4:blackblock/ktpass: use test specific user name
      from  1675619... s4:librpc/rpc: use the correct ndr flags in dcerpc_ndr_validate_in()

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 76e5d41d6a887e598bef8ec57ddc405c368acc00
Author: Stefan Metzmacher <metze at samba.org>
Date:   Sat Jul 31 11:35:31 2010 +0200

    s4:blackbox/newuser: use test specific user names
    
    As this test doesn't delete the user accounts at the end,
    we should use test specific user names. That lowers the
    chance of conflicts with other tests.
    
    metze

commit 0b4247ef7a60e7fe419681919daa3b31cae7bc48
Author: Stefan Metzmacher <metze at samba.org>
Date:   Sat Jul 31 11:31:43 2010 +0200

    s4:selftest: skip samba4.blackbox.ktpass for now as it's not portable
    
    ktutil might not be installed or from MIT.
    We should build a samba4ktutil and use that instead,
    until then we need to skip this test.
    
    metze

commit 34692556bed72130acd2985cc734d74c8a57203e
Author: Stefan Metzmacher <metze at samba.org>
Date:   Sat Jul 31 11:12:10 2010 +0200

    s4:blackblock/ktpass: use test specific user name
    
    metze

-----------------------------------------------------------------------

Summary of changes:
 source4/selftest/skip                   |    3 +++
 source4/setup/tests/blackbox_newuser.sh |   20 ++++++++++----------
 testprogs/blackbox/test_ktpass.sh       |   13 ++++++-------
 3 files changed, 19 insertions(+), 17 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source4/selftest/skip b/source4/selftest/skip
index 0e6820e..a0cddd1 100644
--- a/source4/selftest/skip
+++ b/source4/selftest/skip
@@ -73,3 +73,6 @@ base.scan.pipe_number # bad idea in make test
 base.secleak # no point on build farm
 base.delaywrite # This is randomly failing, depending on timing and filesystem features
 smb2.acls # new test which doesn't pass yet
+# ktutil might not be installed or from mit...
+# we should build a samba4ktutil and use that instead
+samba4.blackbox.ktpass # this test isn't portable ...
diff --git a/source4/setup/tests/blackbox_newuser.sh b/source4/setup/tests/blackbox_newuser.sh
index 612dedf..e74950d 100755
--- a/source4/setup/tests/blackbox_newuser.sh
+++ b/source4/setup/tests/blackbox_newuser.sh
@@ -22,21 +22,21 @@ CONFIG="--configfile=$PREFIX/simple-dc/etc/smb.conf"
 #two test for creating new user
 #newuser  account is created with cn=Given Name Initials. Surname
 #newuser1 account is created using cn=username
-testit "newuser" $net newuser $CONFIG --given-name="User" --surname="Tester" --initials="T" --profile-path="\\\\myserver\\my\\profile" --script-path="\\\\myserver\\my\\script" --home-directory="\\\\myserver\\my\\homedir" --job-title="Tester" --department="Testing" --company="Samba.org" --description="Description" --mail-address="tester at samba.org" --internet-address="http://samba.org" --telephone-number="001122334455" --physical-delivery-office="101" --home-drive="H:" testuser testp at ssw0Rd
-testit "newuser" $net newuser $CONFIG --use-username-as-cn --given-name="User1" --surname="Tester1" --initials="UT1" --profile-path="\\\\myserver\\my\\profile" --script-path="\\\\myserver\\my\\script" --home-directory="\\\\myserver\\my\\homedir" --job-title="Tester" --department="Testing" --company="Samba.org" --description="Description" --mail-address="tester at samba.org" --internet-address="http://samba.org" --telephone-number="001122334455" --physical-delivery-office="101" --home-drive="H:" testuser1 testp at ssw0Rd
+testit "newuser" $net newuser $CONFIG --given-name="User" --surname="Tester" --initials="T" --profile-path="\\\\myserver\\my\\profile" --script-path="\\\\myserver\\my\\script" --home-directory="\\\\myserver\\my\\homedir" --job-title="Tester" --department="Testing" --company="Samba.org" --description="Description" --mail-address="tester at samba.org" --internet-address="http://samba.org" --telephone-number="001122334455" --physical-delivery-office="101" --home-drive="H:" NewUser testp at ssw0Rd
+testit "newuser" $net newuser $CONFIG --use-username-as-cn --given-name="User1" --surname="Tester1" --initials="UT1" --profile-path="\\\\myserver\\my\\profile" --script-path="\\\\myserver\\my\\script" --home-directory="\\\\myserver\\my\\homedir" --job-title="Tester" --department="Testing" --company="Samba.org" --description="Description" --mail-address="tester at samba.org" --internet-address="http://samba.org" --telephone-number="001122334455" --physical-delivery-office="101" --home-drive="H:" NewUser1 testp at ssw0Rd
 
 # check the enable account script
-testit "enableaccount" $net enableaccount $CONFIG testuser
-testit "enableaccount" $net enableaccount $CONFIG testuser1
+testit "enableaccount" $net enableaccount $CONFIG NewUser
+testit "enableaccount" $net enableaccount $CONFIG NewUser1
 
 # check the enable account script
-testit "setpassword" $net setpassword $CONFIG testuser --newpassword=testp at ssw0Rd2
-testit "setpassword" $net setpassword $CONFIG testuser1 --newpassword=testp at ssw0Rd2
+testit "setpassword" $net setpassword $CONFIG NewUser --newpassword=testp at ssw0Rd2
+testit "setpassword" $net setpassword $CONFIG NewUser1 --newpassword=testp at ssw0Rd2
 
 # check the setexpiry script
-testit "noexpiry" $net setexpiry $CONFIG testuser --noexpiry
-testit "noexpiry" $net setexpiry $CONFIG testuser1 --noexpiry
-testit "expiry" $net setexpiry $CONFIG testuser --days=7
-testit "expiry" $net setexpiry $CONFIG testuser1 --days=7
+testit "noexpiry" $net setexpiry $CONFIG NewUser --noexpiry
+testit "noexpiry" $net setexpiry $CONFIG NewUser1 --noexpiry
+testit "expiry" $net setexpiry $CONFIG NewUser --days=7
+testit "expiry" $net setexpiry $CONFIG NewUser1 --days=7
 
 exit $failed
diff --git a/testprogs/blackbox/test_ktpass.sh b/testprogs/blackbox/test_ktpass.sh
index b106d50..ccbbcb9 100755
--- a/testprogs/blackbox/test_ktpass.sh
+++ b/testprogs/blackbox/test_ktpass.sh
@@ -18,20 +18,19 @@ samba4bindir="$BUILDDIR/bin"
 samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
 CONFIG="--configfile=$PREFIX/dc/etc/smb.conf"
 
-#two test for creating new user
-#newuser  account is created with cn=Given Name Initials. Surname
-#newuser1 account is created using cn=username
-testit "newuser" $net newuser $CONFIG --given-name="User" --surname="Tester" --initials="T" --profile-path="\\\\myserver\\my\\profile" --script-path="\\\\myserver\\my\\script" --home-directory="\\\\myserver\\my\\homedir" --job-title="Tester" --department="Testing" --company="Samba.org" --description="Description" --mail-address="tester at samba.org" --internet-address="http://samba.org" --telephone-number="001122334455" --physical-delivery-office="101" --home-drive="H:" testuser testp at ssw0Rd|| failed=`expr $failed + 1`
+TESTUSER="ktpassUser"
+
+testit "newuser" $net newuser $CONFIG $TESTUSER testp at ssw0Rd || failed=`expr $failed + 1`
 
 KRB5CCNAME="$PREFIX/tmpccache"
 export KRB5CCNAME
 echo "testp at ssw0Rd" >$PREFIX/tmppassfile
-testit "kinit with passwd" $samba4kinit -e arcfour-hmac-md5 --password-file=$PREFIX/tmppassfile   testuser at SAMBA.EXAMPLE.COM   || failed=`expr $failed + 1`
-testit "ktpass" $BUILDDIR/scripting/bin/ktpass.sh --host LOCALDC --out $PREFIX/testuser.kt --princ testuser --pass "testp at ssw0Rd" --path-to-ldbsearch=$BUILDDIR/bin|| failed=`expr $failed + 1`
+testit "kinit with passwd" $samba4kinit -e arcfour-hmac-md5 --password-file=$PREFIX/tmppassfile   $TESTUSER at SAMBA.EXAMPLE.COM   || failed=`expr $failed + 1`
+testit "ktpass" $BUILDDIR/scripting/bin/ktpass.sh --host LOCALDC --out $PREFIX/testuser.kt --princ $TESTUSER --pass "testp at ssw0Rd" --path-to-ldbsearch=$BUILDDIR/bin|| failed=`expr $failed + 1`
 
 rm -f $KRB5CCNAME
 
-testit "kinit with keytab" $samba4kinit -e arcfour-hmac-md5 --use-keytab -t $PREFIX/testuser.kt testuser at SAMBA.EXAMPLE.COM   || failed=`expr $failed + 1`
+testit "kinit with keytab" $samba4kinit -e arcfour-hmac-md5 --use-keytab -t $PREFIX/testuser.kt $TESTUSER at SAMBA.EXAMPLE.COM   || failed=`expr $failed + 1`
 
 rm -f $PREFIX/tmpccache $PREFIX/testuser.kt
 exit $failed


-- 
Samba Shared Repository


More information about the samba-cvs mailing list